---
title: Release 2021-03-25
menuTitle: 2021-03-25
any: true
description: >-
  Changelog for Release 2021-03-25 (oso 0.11.2) containing new features, bug
  fixes, and more.
---

## `oso` 0.11.2

### Core

#### Other bugs & improvements

- Error messages for failing inline queries now contain location information
  indicating which inline query failed.

### Rust

#### Other bugs & improvements

##### `Oso.query` and others no longer require mutable reference

Thank you [Fisher Darling](https://github.com/fisherdarling) for [pointing
out](https://github.com/osohq/oso/issues/773) that many methods on `oso::Oso`
do not require a mutable reference.

With this small change, it is no longer necessary to wrap `oso::Oso` in a mutex
in order to use across threads.

### Node.js

#### Other bugs & improvements

##### It's now possible to use Oso in Web Workers

Big thanks to [`@togmund`](https://github.com/togmund) for submitting a patch
that enables Oso to run in [Web
Worker](https://developer.mozilla.org/en-US/docs/Web/API/Web_Workers_API)
contexts like Cloudflare Workers.

##### Fixed `POLAR_LOG` logging

The Web Assembly runtime doesn't have access to the Node.js process
environment, so previously it wasn't possible to view query evaluation logs by
setting the `POLAR_LOG=1` environment variable.

That's now fixed, and setting `POLAR_LOG=1` will behave as expected:

  ```console
  $ POLAR_LOG=1 yarn oso
  query> 1 = 1
  [debug]   QUERY: 1 = 1, BINDINGS: {}
  true
  ```

For more on the `POLAR_LOG` environment variable, see
[Tracing](reference/tooling/tracing).
